Bug 1513591

Summary: '500 Internal Error' on users Policy page
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: UI - OPSAssignee: Martin Povolny <mpovolny>
Status: CLOSED CURRENTRELEASE QA Contact: Vatsal Parekh <vparekh>
Severity: medium Docs Contact:
Priority: high    
Version: 5.9.0CC: cpelland, dclarizi, hkataria, jhardy, mmojzis, mpovolny, obarenbo, rbabyuk, simaishi, vparekh
Target Milestone: GA   
Target Release: 5.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.9.0.9 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1503076 Environment:
Last Closed: 2018-03-06 15:17:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1503076    
Bug Blocks:    

Comment 2 CFME Bot 2017-11-29 20:37:45 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/11ba887b1f6a7ff324dfd7a3f612d6113c843c85

commit 11ba887b1f6a7ff324dfd7a3f612d6113c843c85
Author:     Milan Z√°zrivec <mzazrivec@redhat.com>
AuthorDate: Thu Nov 9 10:24:30 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Nov 15 11:11:15 2017 -0500

    Merge pull request #2669 from martinpovolny/quadicon_options
    
    GTL: add options needed for quadicon rendering.
    (cherry picked from commit 581d682147e7db2bfd146cc63a1e3c9b2c1f322c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513590
    https://bugzilla.redhat.com/show_bug.cgi?id=1513591

 app/controllers/application_controller.rb            |  1 +
 .../report_data_additional_options.rb                | 14 +++++++++++++-
 app/helpers/application_helper.rb                    | 20 ++++++++++++++++++++
 3 files changed, 34 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2017-11-29 20:40:03 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c1a1b70a4aab6b31f82b1ed185c10688c3bb5146

commit c1a1b70a4aab6b31f82b1ed185c10688c3bb5146
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Nov 9 18:20:58 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Nov 15 11:25:37 2017 -0500

    Merge pull request #2678 from martinpovolny/rbac_tagging_gtl
    
    OPS RBAC Tagging GTL Fix.
    (cherry picked from commit 277baf00e6b4220cb589fe7724a19bf09e65fc9e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513591
    https://bugzilla.redhat.com/show_bug.cgi?id=1513590

 app/controllers/application_controller/tags.rb | 5 ++++-
 app/controllers/ops_controller/ops_rbac.rb     | 1 -
 2 files changed, 4 insertions(+), 2 deletions(-)

Comment 4 Vatsal Parekh 2017-12-04 08:23:31 UTC
Able to verify this on Version 5.9.0.11.20171127204214_e316988